import Utils from "~/utils"

/**
* Bftset Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "bfdgrp.iss.pts.nam"                      :null,
    "bfdgrp.rec.frepayflg"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "bftp.dedget.sdamod.dadsnd"                      :null,
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd"                      :null,
    "bfdgrp.apl.pts.nam"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "liaall.limmod.ownref"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "bftp.recget.sdamod.dadsnd"                      :null,
    "liaall.limmod.othp.ptsget.sdamod.dadsnd"                      :null,
    "bfdgrp.prb.pts.nam"                      :null,
    "liaall.tenstm"                      :null,
    "setmod.redamt"                      :null,
    "aamset.utlamt2"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "setmod.docamt"                      :null,
    "mtabut.clsflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

