import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Bttset{
    constructor () {
        this.data = {
						bttp0:{
							ltdget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp0.ltdget.sdamod.dadsnd
									seainf:"",			//  		.bttp0.ltdget.sdamod.seainf
								},
							},
							ledget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp0.ledget.sdamod.dadsnd
									seainf:"",			//  		.bttp0.ledget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp0.recget.sdamod.dadsnd
									seainf:"",			//  		.bttp0.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.bttp0.matp.mattxtlab
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.bttp0.aammod.addamtflg
							},
						},
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
							},
						},
						btdgrp:{
							rec:{
								ownref:"",			//  Doc. Set Reference		.btdgrp.rec.ownref
								doctypcod:"",			//  Document Type		.btdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.btdgrp.rec.matdat
								rcvdatbe2:"",			//  Received on 2nd Ben.		.btdgrp.rec.rcvdatbe2
								rcvdatbe1:"",			//  Received on 1st Ben.		.btdgrp.rec.rcvdatbe1
								docsta:"",			//  Document Set Status		.btdgrp.rec.docsta
								nam:"",			//  Name of Bill Contract		.btdgrp.rec.nam
								frepayflg:"",			//  Free of Payment		.btdgrp.rec.frepayflg
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.btdgrp.cbs.max.cur
									amt:"",			//  Document Amount		.btdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.btdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.btdgrp.cbs.opn1.amt
								},
								opn2:{
									cur:"",			//  附加金额		.btdgrp.cbs.opn2.cur
								},
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
						},
						liaall:{
							tenstm:"",			//  Tenor Stream		.liaall.tenstm
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
						},
						setmod:{
							doccur:"",			//  减少后的结算金额		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							setamt:"",			//  Reduced Amount to settle		.setmod.setamt
							redamt:"",			//  减少的金额		.setmod.redamt
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							setfog: {
								setfol: []
							},
							setfeg: {
								setfel: []
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							redamttxt:"",			//  注释		.setmod.redamttxt
						},
						be1amt:"",			//  Amount for 1st Ben.		.be1amt
						be1amt2:"",			//  Add. Amt for 1st Ben.		.be1amt2
						trtcre:{
							crefinflg:"",			//  Create Financing		.trtcre.crefinflg
						},
						mtabut:{
							clsflg:"",			//  Close Flag		.mtabut.clsflg
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						aamset:{
							utlamt:"",			//  单据金额		.aamset.utlamt
							utlamt2:"",			//  附加金额		.aamset.utlamt2
						},
						trnmod:{
							trndoc:{
								nar754:"",			//  Narrative :77A:		.trnmod.trndoc.nar754
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						bttbe1l1blk:"",			//  XMLPanel bttbe1l1的内置block		.bttbe1l1blk
						bttpayl1blk:"",			//  XMLPanel bttpayl1的内置block		.bttpayl1blk
						bttprbl1blk:"",			//  XMLPanel bttprbl1的内置block		.bttprbl1blk
						pageId: ""			// ctx的key
				}
    }
}