export default {
    "cctp0.recget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ccdgrp.rec.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "ccdgrp.rec.ownref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "cctp0.recget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ccdgrp.cbs.max.amt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "ccdgrp.pre.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ccdgrp.pre.pts.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "ccdgrp.cbs.opn1.amt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "ccdgrp.dro.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ccdgrp.rec.chkdat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "ccdgrp.dro.pts.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "ccdgrp.rec.ccform":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "ccdgrp.col.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ccdgrp.rec.purflg":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "ccdgrp.col.pts.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "ccdgrp.blk.retson":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "trnmod.hvpmod.agnamedl":[
        {type: "string", required: false, message: "必输项"},
        {max: 42,message:"长度不能超过42"}
    ],
    "trnmod.hvpmod.agencydl":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],

    "trnmod.hvpmod.fecomm":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.feesen":[
        {type: "string", required: false, message: "必输项"},
        {max: 19,message:"长度不能超过19"}
    ],
    "trnmod.hvpmod.feecom":[
        {type: "string", required: false, message: "必输项"},
        {max: 19,message:"长度不能超过19"}
    ],
    "trnmod.hvpmod.oribusnum":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "trnmod.hvpmod.skrmc2":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.fkrmc2":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.skrmc3":[
        {type: "string", required: false, message: "必输项"},
        {max: 10,message:"长度不能超过10"}
    ],
    "trnmod.hvpmod.fkrmc3":[
        {type: "string", required: false, message: "必输项"},
        {max: 10,message:"长度不能超过10"}
    ],
    "trnmod.hvpmod.skrdz2":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.fkrdz2":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.skrdz3":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.fkrdz3":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.skrdz4":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.fkrdz4":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.skrdz5":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.fkrdz5":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],
    "trnmod.hvpmod.skrzh2":[
        {type: "string", required: false, message: "必输项"},
        {max: 34,message:"长度不能超过34"}
    ],
    "trnmod.hvpmod.fkrzh2":[
        {type: "string", required: false, message: "必输项"},
        {max: 34,message:"长度不能超过34"}
    ],

    "trnmod.hvpmod.agname2":[
        {type: "string", required: false, message: "必输项"},
        {max: 42,message:"长度不能超过42"}
    ],
    "trnmod.hvpmod.remark":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ],


    "trnmod.hvpmod.agency2":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],

    "trnmod.trndoc.advnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],
    "trnmod.trndoc.amdapl":[
        {type: "string", required: true, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],

    "trnmod.trndoc.advdoc":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "trnmod.trndoc.filrecv":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "trnmod.trndoc.doctrestm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],









    "trnmod.trndoc.condocstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "trnmod.trndoc.rcvatt.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "liaall.outamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.outpct":[
        {type: "string", required: false, message: "必输项"},
        {max: 6,message:"长度不能超过6"}
    ],
    "liaall.concur":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "liaall.misamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],


    "liaall.exttotoldamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.exttotamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "setmod.glemod.gleshwstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],

    "mtabut.coninf.oitinf.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],


    "mtabut.coninf.oitset.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],

    "mtabut.coninf.conexedat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "mtabut.coninf.usr.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],
}