import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Cctset{
    constructor () {
        this.data = {
						ccdgrp:{
							rec:{
								ownref:"",			//  Our Reference		.ccdgrp.rec.ownref
								nam:"",			//  Name of CC contract		.ccdgrp.rec.nam
								chkdat:"",			//  Date of Draft		.ccdgrp.rec.chkdat
								ccform:"",			//  Form of Clean Coll.		.ccdgrp.rec.ccform
								purflg:"",			//  Payment disposition		.ccdgrp.rec.purflg
								frepayflg:"",			//  Free of Payment Flag		.ccdgrp.rec.frepayflg
							},
							cbs:{
								max:{
									cur:"",			//  Currency		.ccdgrp.cbs.max.cur
									amt:"",			//  Currency		.ccdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Currency		.ccdgrp.cbs.opn1.cur
									amt:"",			//  Currency		.ccdgrp.cbs.opn1.amt
								},
							},
							pre:{
								pts:new Pts().data,
							},
							dro:{
								pts:new Pts().data,
							},
							col:{
								pts:new Pts().data,
							},
						},
						cctp0:{
							recget:{
								sdamod:{
									seainf:"",			//  		.cctp0.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.cctp0.recget.sdamod.dadsnd
								},
							},
						},
						liaall:{
							tenstm:"",			//  Tenor Stream		.liaall.tenstm
						},
						setmod:{
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							redamt:"",			//  Reduction Amt.		.setmod.redamt
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							glemod:{
								gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}