
/**
* Cptopn Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "cpdgrp.snd.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.snd.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.snd.namelc"                      :Utils.defaultFunction,
    "cpdgrp.snd.dbfadrblkcn"                      :Utils.defaultFunction,
    "cpdgrp.cbs.nom1.cur"                      :Utils.defaultFunction,
    "cpdgrp.cbs.nom1.amt"                      :Utils.defaultFunction,
    "cptp.flg"                      :Utils.defaultFunction,
    "cptp.commet"                      :Utils.defaultFunction,
    "cpdgrp.rec.ownref"                      :Utils.defaultFunction,
    "cpdgrp.rec.swftyp"                      :Utils.defaultFunction,
    "cptp.comsystbl"                      :Utils.defaultFunction,
    "cpdgrp.snd.pts.adrblk"                      :Utils.defaultFunction,
    "finmod.intprd"                      :Utils.defaultFunction,
    "finmod.ratchgtyp"                      :Utils.defaultFunction,
    "cpdgrp.pye.pts.adrblk"                      :Utils.defaultFunction,
    "cnybop.libflg"                      :Utils.defaultFunction,
    "cptp.cleage"                      :Utils.defaultFunction,
    "cptp.evebch"                      :Utils.defaultFunction,
    "cptp.coract"                      :Utils.defaultFunction,
    // "cpdgrp.pye.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.rec.trntyp"                      :Utils.defaultFunction,
    "cpdgrp.orc.pts.adrblk"                      :Utils.defaultFunction,
    "setmod.doccur"                      :Utils.defaultFunction,
    "setmod.dspflg"                      :Utils.defaultFunction,
    "setmod.docamt"                      :Utils.defaultFunction,
    // "cpdgrp.rec.orcact"                      :Utils.defaultFunction,
    "cptp.resbch"                      :Utils.defaultFunction,
    "cptp.secmod"                      :Utils.defaultFunction,
    "trnmod.trndoc.condocstm"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwinc"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwout"                      :Utils.defaultFunction,
    "cptp.payuil"                      :Utils.defaultFunction,
    "cpdgrp.rec.curf33b"                      :Utils.defaultFunction,
    "cptp.draweecountcode"                      :Utils.defaultFunction,
    "finmod.acttyp"                      :Utils.defaultFunction,
    "finmod.act3"                      :Utils.defaultFunction,
    "cpdgrp.orc.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.orc.dbfadrblkcn"                      :Utils.defaultFunction,
    "cpdgrp.snd.pts.nam"                      :Utils.defaultFunction,
    "mtabut.coninf.usr.extkey"                      :Utils.defaultFunction,
    "finmod.ovdinttyp"                      :Utils.defaultFunction,
    "cpdgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "cpdgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "setmod.glemod.gleshwstm"                      :Utils.defaultFunction,
    "cpdgrp.ori.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.ori.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.ori.namelc"                      :Utils.defaultFunction,
    "cpdgrp.ori.dbfadrblkcn"                      :Utils.defaultFunction,
    "cpdgrp.rec.nam"                      :Utils.defaultFunction,
    "cpdgrp.rec.f23b"                      :Utils.defaultFunction,
    "cptp.liqtyp"                      :Utils.defaultFunction,
    "bopmod.vrfflg"                      :Utils.defaultFunction,
    "bopmod.szflg"                      :Utils.defaultFunction,
    "bopmod.basflg"                      :Utils.defaultFunction,
    "bopmod.dclflg"                      :Utils.defaultFunction,
    "trdgrp.fip.pts.extkey"                      :Utils.defaultFunction,
    "trdgrp.fip.adrelc"                      :Utils.defaultFunction,
    "trdgrp.fip.namelc"                      :Utils.defaultFunction,
    "trdgrp.fip.dbfadrblkcn"                      :Utils.defaultFunction,
    "trdgrp.fip.pts.adrblk"                      :Utils.defaultFunction,
    "finmod.flttyp"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inflev"                      :Utils.defaultFunction,
    "mtabut.coninf.conexedat"                      :Utils.defaultFunction,
    "cnybop.outflg"                      :Utils.defaultFunction,
    "cpdgrp.ori.pts.adrblk"                      :Utils.defaultFunction,
    "cpdgrp.pye.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.pye.namelc"                      :Utils.defaultFunction,
    "cpdgrp.pye.dbfadrblkcn"                      :Utils.defaultFunction,
    "cpdgrp.orc.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.orc.namelc"                      :Utils.defaultFunction,
    "cnybop.vouflg"                      :Utils.defaultFunction,
    "cptp.bustyp"                      :Utils.defaultFunction,
    "cptp.resbchnam"                      :Utils.defaultFunction,
    "cpdgrp.rec.cur71f"                      :Utils.defaultFunction,
    "cpdgrp.rec.amtf33b"                      :Utils.defaultFunction,
    "cnybop.traflg"                      :Utils.defaultFunction,
    "cnybop.cnyflg"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inflev"                      :Utils.defaultFunction,
    "finmod.intdat"                      :Utils.defaultFunction,
    "trdgrp.rec.ownref"                      :Utils.defaultFunction,
    // "cptp.payeecountcode"                      :Utils.defaultFunction,
    "cpdgrp.rec.ischktyp"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
