import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Detame{
    constructor () {
        this.data = {
						detp:{
							zchday:"",			//  最迟装运/服务提供日		.detp.zchday
							usr:{
								extkey:"",			//  所属客户经理		.detp.usr.extkey
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.detp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.detp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.detp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.detp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.detp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.detp.recget.sdamod.dadsnd
								},
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.detp.usrget.sdamod.seainf
								},
							},
							upamt:"",			//  大写金额		.detp.upamt
							dzlhhh:"",			//  发起参与机构		.detp.dzlhhh
							hwfwms:"",			//  槧物/服务描述		.detp.hwfwms
							hwtype:"",			//  槧物\\服务类型		.detp.hwtype
							fenzhu:"",			//  分期装运		.detp.fenzhu
							sdysfs:"",			//  手输运输方式/服务提供方式		.detp.sdysfs
							hwzydi:"",			//  '运装运地/服务提供低		.detp.hwzydi
						},
						dedgrp:{
							rec:{
								ownref:"",			//  编号		.dedgrp.rec.ownref
								opndat:"",			//  开立日期		.dedgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.dedgrp.rec.shpdat
								expdat:"",			//  有效日期		.dedgrp.rec.expdat
								expplc:"",			//  有效地点		.dedgrp.rec.expplc
								shptrs:"",			//  转运		.dedgrp.rec.shptrs
								tenmaxday:"",			//  Maximum Tenor		.dedgrp.rec.tenmaxday
								nam:"",			//  Externally Displayed Name to Identify the Contract		.dedgrp.rec.nam
								nomtop:"",			//  溢短装		.dedgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.dedgrp.rec.nomton
								mytype:"",			//  贸易类型		.dedgrp.rec.mytype
								elcflg:"",			//  是否通过电证系统		.dedgrp.rec.elcflg
								avbby:"",			//  信用证兑付方式		.dedgrp.rec.avbby
								lcrtyp:"",			//  是否可转让		.dedgrp.rec.lcrtyp
								dkflg:"",			//  是否代开信用证		.dedgrp.rec.dkflg
								rejflg:"",			//  是否通知客户		.dedgrp.rec.rejflg
								stagod:"",			//  Goods Code for Statistics		.dedgrp.rec.stagod
								avbwth:"",			//  Available with		.dedgrp.rec.avbwth
								isyifu:"",			//  是否可议付		.dedgrp.rec.isyifu
								idcode:"",			//  申请人统一社会信用代码		.dedgrp.rec.idcode
								bdflg:"",			//  是否可保兑		.dedgrp.rec.bdflg
								kzref:"",			//  信用证编号		.dedgrp.rec.kzref
								shppar:"",			//  Partial Shipment		.dedgrp.rec.shppar
								fqzytgfw:"",			//  分期装运/提供服务		.dedgrp.rec.fqzytgfw
								fqtime:"",			//  分期时镧表		.dedgrp.rec.fqtime
								shppro:"",			//  服务提供地点		.dedgrp.rec.shppro
								tratyp:"",			//  运输方式		.dedgrp.rec.tratyp
								sdsrfs:"",			//  输入运输方式		.dedgrp.rec.sdsrfs
								conno:"",			//  合同编号		.dedgrp.rec.conno
								concur:"",			//  合同币种		.dedgrp.rec.concur
								shpfro:"",			//  分期装运/提供服务		.dedgrp.rec.shpfro
								shpto:"",			//  货物运输或交货方式/服务方式		.dedgrp.rec.shpto
								conamt:"",			//  合同金额		.dedgrp.rec.conamt
							},
							cbs:{
								nom1:{
									cur:"",			//  金额		.dedgrp.cbs.nom1.cur
									amt:"",			//  金额		.dedgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  最大金额		.dedgrp.cbs.max.cur
									amt:"",			//  Balance		.dedgrp.cbs.max.amt
								},
								max2:{
									cur:"",			//  Additional Amount		.dedgrp.cbs.max2.cur
									amt:"",			//  Additional Amount		.dedgrp.cbs.max2.amt
								},
								opn2:{
									cur:"",			//  Open Add. Amount		.dedgrp.cbs.opn2.cur
									amt:"",			//  Open Add. Amount		.dedgrp.cbs.opn2.amt
								},
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.dedgrp.ben.namelc
								adrelc:"",			//  地址		.dedgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.dedgrp.ben.dbfadrblkcn
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.dedgrp.apl.namelc
								adrelc:"",			//  地址		.dedgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.dedgrp.apl.dbfadrblkcn
							},
							blk:{
								dftat:"",			//  远期付款指示		.dedgrp.blk.dftat
								preper:"",			//  交单期限		.dedgrp.blk.preper
								defdet:"",			//  远期付款指示		.dedgrp.blk.defdet
								rejadvrsn:"",			//  拒绝通知理由		.dedgrp.blk.rejadvrsn
								lcrgod:"",			//  Description of Goods		.dedgrp.blk.lcrgod
								lcrdoc:"",			//  单据条款		.dedgrp.blk.lcrdoc
								adlcnd:"",			//  附加条款		.dedgrp.blk.adlcnd
								insbnk:"",			//  给付款、		.dedgrp.blk.insbnk
								stamet:"",			//  声明		.dedgrp.blk.stamet
								addamtcov:"",			//  Covered		.dedgrp.blk.addamtcov
							},
							beb:{
								pts:new Pts().data,
							},
							apc:{
								pts:new Pts().data,
							},
							apb:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							adv:{
								pts:new Pts().data,
							},
							avb:{
								pts:new Pts().data,
							},
							rmb:{
								pts:new Pts().data,
							},
							cmb:{
								pts:new Pts().data,
							},
						},
						pageId: ""			// ctx的key
				}
    }
}