import Utils from "~/utils"

/**
* Detopn Check规则
*/
let checkObj = {
    "dedgrp.iss.pts.dizhii"                      :null,
    "dedgrp.apl.namelc"                      :null,
    "dedgrp.rec.lcrtyp"                      :null,
    "dedgrp.rec.nomton"                      :null,
    "dedgrp.rec.nomtop"                      :null,
    "dedgrp.blk.lcrgod"                      :null,
    "dedgrp.avb.pts.bankno"                      :null,
    "dedgrp.apb.pts.bankno"                      :null,
    "dedgrp.cbs.nom1.amt"                      :null,
    "dedgrp.rmb.pts.bankno"                      :null,
    "dedgrp.rec.rejflg"                      :null,
    "dedgrp.beb.pts.bankno"                      :null,
    "dedgrp.apc.pts.jigomc"                      :null,
    "dedgrp.ben.adrelc"                      :null,
    "dedgrp.apl.pts.adrblk"                      :null,
    "dedgrp.adv.pts.jigomc"                      :null,
    "dedgrp.cbs.nom1.cur"                      :null,
    "dedgrp.blk.preper"                      :null,
    "dedgrp.ben.namelc"                      :null,
    "dedgrp.ben.pts.extkey"                      :null,
    "dedgrp.rec.mytype"                      :null,
    "dedgrp.apc.pts.dizhii"                      :null,
    "dedgrp.iss.pts.extkey"                      :null,
    "dedgrp.adv.pts.dizhii"                      :null,
    "dedgrp.cmb.pts.bankno"                      :null,
    "dedgrp.rec.expdat"                      :null,
    "dedgrp.apl.adrelc"                      :null,
    "dedgrp.rmb.pts.jigomc"                      :null,
    "dedgrp.blk.rejadvrsn"                      :null,
    "dedgrp.avb.pts.dizhii"                      :null,
    "dedgrp.adv.pts.extkey"                      :null,
    "dedgrp.rec.sdsrfs"                      :null,
    "dedgrp.beb.pts.jigomc"                      :null,
    "dedgrp.cmb.pts.jigomc"                      :null,
    "dedgrp.apb.pts.jigomc"                      :null,
    "dedgrp.blk.dftat"                      :null,
    "dedgrp.rec.avbwth"                      :null,
    "dedgrp.iss.pts.bankno"                      :null,
    "dedgrp.cbs.max2.amt"                      :null,
    "dedgrp.rec.shpdat"                      :null,
    "dedgrp.blk.adlcnd"                      :null,
    "dedgrp.ben.pts.adrblk"                      :null,
    "dedgrp.rec.tenmaxday"                      :null,
    "dedgrp.blk.insbnk"                      :null,
    "dedgrp.blk.defdet"                      :null,
    "dedgrp.apl.pts.extkey"                      :null,
    "dedgrp.iss.pts.jigomc"                      :null,
    "dedgrp.ben.pts.ref"                      :null,
    "dedgrp.rec.kzref"                      :null,
    "dedgrp.cmb.pts.dizhii"                      :null,
    "dedgrp.adv.pts.bankno"                      :null,
    "detp.dzlhhh"                      :null,
    "dedgrp.rec.elcflg"                      :null,
    "dedgrp.rec.expplc"                      :null,
    "dedgrp.apc.pts.bankno"                      :null,
    "dedgrp.rec.avbby"                      :null,
    "dedgrp.rmb.pts.dizhii"                      :null,
    "dedgrp.blk.lcrdoc"                      :null,
    "detp.usr.extkey"                      :null,
    "dedgrp.blk.addamtcov"                      :null,
    "dedgrp.rec.opndat"                      :null,
    "dedgrp.avb.pts.jigomc"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

