
/**
* Infled Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "ledgrp.apb.pts.extkey"                      :Utils.defaultFunction,
    "ledgrp.apb.pts.adrblk"                      :Utils.defaultFunction,
    "ledgrp.rec.expdat"                      :Utils.defaultFunction,
    "infcon.usr.extkey"                      :Utils.defaultFunction,
    "infcon.sptcor"                      :Utils.defaultFunction,
    "infcon.sptreg"                      :Utils.defaultFunction,
    "infcon.sptdel"                      :Utils.defaultFunction,
    "infcon.sptinc"                      :Utils.defaultFunction,
    "infcon.sptpen"                      :Utils.defaultFunction,
    "ledgrp.a2b.pts.extkey"                      :Utils.defaultFunction,
    "ledgrp.a2b.adrelc"                      :Utils.defaultFunction,
    "ledgrp.a2b.namelc"                      :Utils.defaultFunction,
    "ledgrp.a2b.dbfadrblkcn"                      :Utils.defaultFunction,
    "ledgrp.con.pts.nam"                      :Utils.defaultFunction,
    "infcon.seapty"                      :Utils.defaultFunction,
    "infcon.pty.extkey"                      :Utils.defaultFunction,
    "ledgrp.cbs.nom1.amt"                      :Utils.defaultFunction,
    "ledgrp.cbs.nom1.cur"                      :Utils.defaultFunction,
    "ledgrp.rec.stacty"                      :Utils.defaultFunction,
    "ledgrp.apl.pts.extkey"                      :Utils.defaultFunction,
    "ledgrp.rec.avbby"                      :Utils.defaultFunction,
    "ledgrp.avb.pts.extkey"                      :Utils.defaultFunction,
    "infcon.fepfeecod"                      :Utils.defaultFunction,
    "infcon.fepdsp"                      :Utils.defaultFunction,
    "ledgrp.apl.adrelc"                      :Utils.defaultFunction,
    "ledgrp.apl.namelc"                      :Utils.defaultFunction,
    "ledgrp.apl.dbfadrblkcn"                      :Utils.defaultFunction,
    "infcon.sepdelflg"                      :Utils.defaultFunction,
    "infcon.setflg"                      :Utils.defaultFunction,
    "infcon.smhdatfrom"                      :Utils.defaultFunction,
    "infcon.smhdir"                      :Utils.defaultFunction,
    "infcon.chktrn"                      :Utils.defaultFunction,
    "infcon.smhdatto"                      :Utils.defaultFunction,
    "infcon.smhcortyp"                      :Utils.defaultFunction,
    "ledgrp.rec.nomtop"                      :Utils.defaultFunction,
    "ledgrp.blk.preper"                      :Utils.defaultFunction,
    "ledgrp.rec.prepers18"                      :Utils.defaultFunction,
    "recpan.aamp.aammod.addamtflg"                      :Utils.defaultFunction,
    "infbut.dspstm"                      :Utils.defaultFunction,
    "ledgrp.rec.ownref"                      :Utils.defaultFunction,
    "ledgrp.rmb.pts.extkey"                      :Utils.defaultFunction,
    "ledgrp.rmb.adrelc"                      :Utils.defaultFunction,
    "ledgrp.rmb.namelc"                      :Utils.defaultFunction,
    "ledgrp.rmb.dbfadrblkcn"                      :Utils.defaultFunction,
    "ledgrp.rec.nonban"                      :Utils.defaultFunction,
    "ledgrp.rec.avbwth"                      :Utils.defaultFunction,
    "ledgrp.blk.avbwthtxt"                      :Utils.defaultFunction,
    "ledgrp.iss.pts.extkey"                      :Utils.defaultFunction,
    "ledgrp.adv.pts.extkey"                      :Utils.defaultFunction,
    "ledgrp.adv.adrelc"                      :Utils.defaultFunction,
    "ledgrp.adv.namelc"                      :Utils.defaultFunction,
    "ledgrp.adv.dbfadrblkcn"                      :Utils.defaultFunction,
    "ledgrp.a2b.pts.adrblk"                      :Utils.defaultFunction,
    "recpan.usr.extkey"                      :Utils.defaultFunction,
    "ledgrp.avb.adrelc"                      :Utils.defaultFunction,
    "ledgrp.avb.namelc"                      :Utils.defaultFunction,
    "ledgrp.avb.dbfadrblkcn"                      :Utils.defaultFunction,
    "ledgrp.apl.pts.adrblk"                      :Utils.defaultFunction,
    "ledgrp.avb.pts.adrblk"                      :Utils.defaultFunction,
    "ledgrp.con.pts.extkey"                      :Utils.defaultFunction,
    "mtabut.coninf.usr.extkey"                      :Utils.defaultFunction,
    "infcon.seatrninr"                      :Utils.defaultFunction,
    "infcon.seabucdatto"                      :Utils.defaultFunction,
    "infcon.seabucdatfro"                      :Utils.defaultFunction,
    "ledgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "ledgrp.rec.shppars18"                      :Utils.defaultFunction,
    "ledgrp.rec.shppar"                      :Utils.defaultFunction,
    "ledgrp.rec.shpdat"                      :Utils.defaultFunction,
    "infcon.trnstm"                      :Utils.defaultFunction,
    "infcon.diasta"                      :Utils.defaultFunction,
    "infcon.diadatfrom"                      :Utils.defaultFunction,
    "infcon.diadatto"                      :Utils.defaultFunction,
    "ledgrp.rmb.pts.adrblk"                      :Utils.defaultFunction,
    "ledgrp.ben.pts.extkey"                      :Utils.defaultFunction,
    "ledgrp.ben.adrelc"                      :Utils.defaultFunction,
    "ledgrp.ben.namelc"                      :Utils.defaultFunction,
    "ledgrp.ben.dbfadrblkcn"                      :Utils.defaultFunction,
    "ledgrp.adv.pts.adrblk"                      :Utils.defaultFunction,
    "ledgrp.rec.apprul"                      :Utils.defaultFunction,
    "ledgrp.rec.advdat"                      :Utils.defaultFunction,
    "infcon.fcpdsp"                      :Utils.defaultFunction,
    "ledgrp.drw.pts.extkey"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inflev"                      :Utils.defaultFunction,
    "mtabut.coninf.conexedat"                      :Utils.defaultFunction,
    "ledgrp.iss.adrelc"                      :Utils.defaultFunction,
    "ledgrp.iss.namelc"                      :Utils.defaultFunction,
    "ledgrp.iss.dbfadrblkcn"                      :Utils.defaultFunction,
    "ledgrp.iss.pts.adrblk"                      :Utils.defaultFunction,
    "ledgrp.rec.nam"                      :Utils.defaultFunction,
    "infcon.chksubcon"                      :Utils.defaultFunction,
    "infcon.chktrnsta"                      :Utils.defaultFunction,
    "ledgrp.rec.revflg"                      :Utils.defaultFunction,
    "ledgrp.drw.adrelc"                      :Utils.defaultFunction,
    "ledgrp.drw.namelc"                      :Utils.defaultFunction,
    "ledgrp.drw.dbfadrblkcn"                      :Utils.defaultFunction,
    "ledgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "ledgrp.rec.shptrss18"                      :Utils.defaultFunction,
    "ledgrp.rec.shptrs"                      :Utils.defaultFunction,
    "infcon.cbctxt"                      :Utils.defaultFunction,
    "ledgrp.apb.adrelc"                      :Utils.defaultFunction,
    "ledgrp.apb.namelc"                      :Utils.defaultFunction,
    "ledgrp.apb.dbfadrblkcn"                      :Utils.defaultFunction,
    "infcon.ordstm"                      :Utils.defaultFunction,
    "ledgrp.drw.pts.adrblk"                      :Utils.defaultFunction,
    "ledgrp.rec.spcrcbflg"                      :Utils.defaultFunction,
    "ledgrp.ben.pts.adrblk"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inflev"                      :Utils.defaultFunction,
    "ledgrp.rec.spcbenflg"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
