
/**
* Ditdla Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "didgrp.apl.namelc"                      :Utils.defaultFunction,
    "didgrp.apl.adrelc"                      :Utils.defaultFunction,
    "didgrp.iss.pts.bankno"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.oth.pts.extkey"                      :Utils.defaultFunction,
    "didgrp.avb.pts.jigomc"                      :Utils.defaultFunction,
    "didgrp.iss.pts.extkey"                      :Utils.defaultFunction,
    "didgrp.adv.pts.nam"                      :Utils.defaultFunction,
    "didgrp.adv.pts.jigomc"                      :Utils.defaultFunction,
    "didgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "didgrp.apl.pts.adrblk"                      :Utils.defaultFunction,
    "liaall.limmod.comamt"                      :Utils.defaultFunction,
    "liaall.limmod.ccvamt"                      :Utils.defaultFunction,
    "didgrp.ben.namelc"                      :Utils.defaultFunction,
    "didgrp.ben.adrelc"                      :Utils.defaultFunction,
    "olddidgrp.rec.shpdat"                      :Utils.defaultFunction,
    "trnmod.swiadd.newshpdat"                      :Utils.defaultFunction,
    "didgrp.cbs.opn1.cur"                      :Utils.defaultFunction,
    "didgrp.blk.defdet"                      :Utils.defaultFunction,
    "didgrp.rec.avbby"                      :Utils.defaultFunction,
    "didgrp.cbs.opn1.amt"                      :Utils.defaultFunction,
    "didgrp.rec.avbwth"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :Utils.defaultFunction,
    "ditamep.engamt"                      :Utils.defaultFunction,
    "trnmod.swiadd.nartxt"                      :Utils.defaultFunction,
    "trnmod.swiadd.nartxtflg"                      :Utils.defaultFunction,
    "didgrp.rec.shppar"                      :Utils.defaultFunction,
    "trnmod.swiadd.adlcnd"                      :Utils.defaultFunction,
    "didgrp.ben.pts.ref"                      :Utils.defaultFunction,
    "trnmod.swiadd.lcrgod"                      :Utils.defaultFunction,
    "didgrp.rec.expplc"                      :Utils.defaultFunction,
    "didgrp.ben.pts.adrblk"                      :Utils.defaultFunction,
    "trnmod.swiadd.insbnk"                      :Utils.defaultFunction,
    "didgrp.blk.preper"                      :Utils.defaultFunction,
    "trnmod.swiadd.lcrdoc"                      :Utils.defaultFunction,
    "didgrp.rec.shptrs"                      :Utils.defaultFunction,
    "didgrp.blk.preperflg"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.wrk.pts.nam"                      :Utils.defaultFunction,
    "setmod.doccur"                      :Utils.defaultFunction,
    "setmod.dspflg"                      :Utils.defaultFunction,
    "setmod.docamt"                      :Utils.defaultFunction,
    "trnmod.trndoc.condocstm"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwinc"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwout"                      :Utils.defaultFunction,
    "ditp.usr.extkey"                      :Utils.defaultFunction,
    "didgrp.rec.ownref"                      :Utils.defaultFunction,
    "didgrp.ben.pts.extkey"                      :Utils.defaultFunction,
    "didgrp.rec.mytype"                      :Utils.defaultFunction,
    "mtabut.coninf.usr.extkey"                      :Utils.defaultFunction,
    "didgrp.cbs.nom1.cur"                      :Utils.defaultFunction,
    "didgrp.rec.elcflg"                      :Utils.defaultFunction,
    "didgrp.rec.fqzytgfw"                      :Utils.defaultFunction,
    "olddidgrp.cbs.nom1.amt"                      :Utils.defaultFunction,
    "trnmod.swiadd.ameamt"                      :Utils.defaultFunction,
    "olddidgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "ditamep.maxamt"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.nonrevflg2"                      :Utils.defaultFunction,
    "ameflg"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.nonrevflg1"                      :Utils.defaultFunction,
    "didgrp.ben.pts.nam"                      :Utils.defaultFunction,
    "didgrp.apl.pts.extkey"                      :Utils.defaultFunction,
    "didgrp.apl.pts.nam"                      :Utils.defaultFunction,
    "liaall.liaccv.addinf"                      :Utils.defaultFunction,
    "didgrp.cbs.nom1.amt"                      :Utils.defaultFunction,
    "liaall.liaccv.newamt"                      :Utils.defaultFunction,
    "liaall.liaccv.totcovamt"                      :Utils.defaultFunction,
    "ditamep.ramrol"                      :Utils.defaultFunction,
    "didgrp.adv.pts.extkey"                      :Utils.defaultFunction,
    "didgrp.apl.dbfadrblkcn"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inflev"                      :Utils.defaultFunction,
    "trnmod.swiadd.newamt"                      :Utils.defaultFunction,
    "mtabut.coninf.conexedat"                      :Utils.defaultFunction,
    "didgrp.rec.opndat"                      :Utils.defaultFunction,
    "didgrp.rec.tratyp"                      :Utils.defaultFunction,
    "didgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.oth.pts.nam"                      :Utils.defaultFunction,
    "liaall.liaccv.concur"                      :Utils.defaultFunction,
    "didgrp.rec.tenmaxday"                      :Utils.defaultFunction,
    "trnmod.swiadd.amedat"                      :Utils.defaultFunction,
    "didgrp.ben.dbfadrblkcn"                      :Utils.defaultFunction,
    "liaall.liaccv.cshpct"                      :Utils.defaultFunction,
    "trnmod.swiadd.newexpdat"                      :Utils.defaultFunction,
    "didgrp.rec.expdat"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inflev"                      :Utils.defaultFunction,
    "didgrp.rec.shpfro"                      :Utils.defaultFunction,
    "didgrp.rec.shpto"                      :Utils.defaultFunction,
    "ditamep.maxcur"                      :Utils.defaultFunction,
    "trnmod.swiadd.newnomtopame"                      :Utils.defaultFunction,
    "didgrp.rec.shpdat"                      :Utils.defaultFunction,
    "olddidgrp.rec.expdat"                      :Utils.defaultFunction,
    "amenbr"                      :Utils.defaultFunction,
    "didgrp.rec.nomtop"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
